#include <iostream>
using namespace std;
void funkcija(long int a,long long int b,long int c){
    while(c>0){
        b-=((a/c)*(a/c+1))/2;
        a-=a/c;
        c--;
    }
    if(b>=0){
        cout<<"Tak"<<endl;
    }
    else{
        cout<<"Nie"<<endl;
    }
}
int main(){
    int n; cin>>n;
    for(int i=0;i<n;i++){
        long int a;
        long long int b;
        long int c;
        cin>>a>>b>>c;
        funkcija(a,b,c);
    }
    return 0;
}